GDB (xrefs)

Public Attributes | List of all members
parmpy_object Struct Reference

## Public Attributes
PyObject_HEAD enum var_types | type
union parmpy_variable | value
const char ** | enumeration

## Detailed Description

Definition at line 74 of file py-param.c.

## Member Data Documentation

## ◆ enumeration

const char** parmpy_object::enumeration

Definition at line 87 of file py-param.c.

Referenced by parmpy_init().

## ◆ type

PyObject_HEAD enum var_types parmpy_object::type

Definition at line 79 of file py-param.c.

Referenced by parmpy_init().

## ◆ value

union parmpy_variable parmpy_object::value

Definition at line 82 of file py-param.c.

Referenced by get_show_value(), and parmpy_init().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-param.c